BTUART(4) | Device Drivers Manual | BTUART(4)

# NAME

`btuart` —
Bluetooth HCI UART driver

# SYNOPSIS

`pseudo-device btuart`

# DESCRIPTION

The `btuart` driver provides a tty(4) line discipline to send and receive Bluetooth packets over a serial line, as described in the “Bluetooth Host Controller Interface [Transport Layer] specification, Vol 4 part A.”

The btattach(8) program is used to configure the tty line and create the `btuart` driver instance.

# SEE ALSO

bcsp(4), bluetooth(4), btattach(8)

# HISTORY

The `btuart` driver was written with reference to the BlueZ drivers for Linux, and first appeared in NetBSD 5.0.

# AUTHORS

KIYOHARA Takashi <kiyohara@kk.iij4u.or.jp>

August 23, 2009 | NetBSD 9.4